<div class="mailingModule">
        
            <button mat-flat-button style="color: white; background-color:rgba(31, 138, 31, 0.863); "
                (click)="addNew()">+ Add</button>
            <mat-form-field style="margin-left: 10px">
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>

            <div class="mat-elevation-z8">
                <table mat-table [dataSource]="dataSource" matSort class="full-width-table">

                    <!-- Code Column -->
                    <ng-container matColumnDef="Code">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Code </th>
                        <td mat-cell *matCellDef="let row"> {{row.modelCode.code}} </td>
                    </ng-container>

                    <!-- Language Column -->
                    <ng-container matColumnDef="Language">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Language </th>
                        <td mat-cell *matCellDef="let row"> {{row.modelCode.language}} </td>
                    </ng-container>

                    <!-- Company Column -->
                    <ng-container matColumnDef="Company">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Company </th>
                        <td mat-cell *matCellDef="let row"> {{row.modelCode.companyDetails.companyName}} </td>
                    </ng-container>

                    <!-- Application Column -->
                    <ng-container matColumnDef="Application">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Application </th>
                        <td mat-cell *matCellDef="let row"> {{row.modelCode.applicationName}} </td>
                    </ng-container>

                    <!-- Model Column -->
                    <ng-container matColumnDef="Model">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Model </th>
                        <td mat-cell *matCellDef="let row">
                            <button mat-icon-button color="primary" (click)="showModel(row)">
                                <mat-icon class="mat-18">reorder</mat-icon>
                            </button>
                        </td>
                    </ng-container>

                    <!-- Status Column -->
                    <ng-container matColumnDef="Status">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
                        <td mat-cell *matCellDef="let row">
                            <button mat-icon-button *ngIf="row.status == true" style="color: rgba(31, 138, 31, 0.863)">
                                <mat-icon class="mat-18">check_circle_outline</mat-icon>
                            </button>
                            <button mat-icon-button style="color: brown" *ngIf="row.status == false">
                                <mat-icon class="mat-18">archive</mat-icon>
                            </button>
                        </td>
                    </ng-container>
                    <!-- Actions Column -->
                    <ng-container matColumnDef="Actions">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Actions </th>
                        <td mat-cell *matCellDef="let row">
                            <button mat-icon-button [matMenuTriggerFor]="actions">
                                <mat-icon class="mat-18">more_horiz</mat-icon>
                            </button>

                            <mat-menu #actions="matMenu">
                                <button mat-menu-item (click)="updateModel(row)">Update</button>
                                <button mat-menu-item (click)="ArchiveModel({code: row.modelCode.code, companyName: row.modelCode.companyDetails.companyName,applicationName :row.modelCode.applicationName})">Delete </button>
                            </mat-menu>
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;">
                    </tr>
                </table>

                <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
            </div>
     

        <!--
        <h3>HTML</h3>
        <div [ngxSummernoteView]="secondFormGroup.get('content').value"></div>

        <h3>Code</h3>
        <pre>{{secondFormGroup.get('content').value}}</pre>
        -->
    </div>